#time_dilation
# User inputs time dt' in the S' frame and the speed V of the S' frame 
# relative to the S frame. This program computes Lorentz factor y and 
# time in the S frame. Note no movement x' in the S frame

#Import library numpy
import numpy as Npy

#Greeting message
print("\n Time dilation calculator")
print(" By Andy French December 2017 \n")

#Get user input
V =  float( input( " Define velocity (m/s) of S' frame relative to S: "))
dtdash = float( input( " Define proper time interval dt' in S' frame: "))

#Define speed of light in m/s
c = 2.998e8

#Calculate Lorentz factor y
y = ( 1 - (V/c)**2 )**(-0.5)

#Calculate the time interval in the S frame
dt = y*dtdash

#Print result
print("\n Lorentz factor = " + str(y))
print(" Time interval in S frame (dt) = " + str(dt))

#Wait for user input to close console
input( "\n Press return to close ..." )

#End of code



